#!/bin/bash
VER=0.2.1b
VERL=${VER//./}
export http_proxy=http://localhost:3142/
lb clean --all
lb config noauto \
	--apt-http-proxy http://localhost:3142/ \
	--distribution jessie \
        --archive-areas "main contrib non-free" \
        --architectures i386 \
        --linux-flavours 486 \
        --firmware-chroot false \
        --firmware-binary false \
        --debootstrap-options "--variant=minbase" \
	--debian-installer false \
	--debian-installer-gui false \
        --apt-indices false \
        --apt-recommends false \
        --iso-application "UBCD Live" \
        --iso-publisher "UBCD Live; http://www.ultimatebootcd.com/; victor@ultimatebootcd.com" \
        --iso-volume "UBCD Live V$VER" \
	--bootappend-live "boot=live config username=root vga=normal" \
	--bootappend-live-failsafe "boot=live config username=root memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=normal" \
        --memtest none
cp -r custom/* config/
sed -i "s/^\(MENU TITLE UBCD Live V\)[0-9].[0-9].[0-9][a-b]*/\1$VER/" config/includes.binary/isolinux/defaults.cfg
rm -f config/package-lists/*
echo "live-boot live-boot-initramfs-tools live-config live-config-systemd systemd systemd-sysv" > config/package-lists/baseline.list.chroot
echo "user-setup sudo apt-utils" > config/package-lists/recommends.list.chroot
echo "task-desktop lightdm icewm zenity" > config/package-lists/desktop.list.chroot
echo "less nano joe ncftp wget bzip2 xz-utils gddrescue gdisk chntpw" > config/package-lists/utils.list.chroot
echo "libgtk-3.0 libnotify-bin" > config/package-lists/xfprot.list.chroot
echo "gsmartcontrol smartmontools lxrandr" > config/package-lists/hardware.list.chroot
echo "ethtool net-tools dnsutils wicd" > config/package-lists/network.list.chroot
echo "linux-wlan-ng-firmware linux-wlan-ng firmware-atheros firmware-bnx2 firmware-bnx2x" > config/package-lists/wifi.list.chroot
echo "firmware-brcm80211 firmware-intelwimax firmware-iwlwifi firmware-libertas" >> config/package-lists/wifi.list.chroot
echo "firmware-myricom firmware-netxen firmware-qlogic firmware-ralink firmware-realtek" >> config/package-lists/wifi.list.chroot
echo "firmware-ti-connectivity" >> config/package-lists/wifi.list.chroot
echo "xserver-xorg xserver-xorg-core x11-xserver-utils xserver-xorg-input-synaptics xinit menu menu-xdg unifont" > config/package-lists/xserver.list.chroot
echo "icewm" > config/package-lists/icewm.list.chroot
echo "lxterminal leafpad gpicview hardinfo xpdf" > config/package-lists/accessories.list.chroot
echo "netsurf ca-certificates" > config/package-lists/netsurf.list.chroot
echo "spacefm udevil xarchiver hicolor-icon-theme" > config/package-lists/spacefm.list.chroot
echo "gparted ntfs-3g dosfstools mtools btrfs-tools f2fs-tools hfsutils hfsprogs" > config/package-lists/gparted.list.chroot
echo "jfsutils lvm2 nilfs-tools reiser4progs reiserfsprogs xfsprogs xfsdump" >> config/package-lists/gparted.list.chroot
echo "clamtk" > config/package-lists/clamtk.list.chroot
echo "clonezilla dialog bc parted partclone" > config/package-lists/clonezilla.list.chroot
echo "libwxgtk3.0-0" > config/package-lists/fskbsetting.list.chroot
export MKSQUASHFS_OPTIONS="-b 1M -comp xz -Xbcj x86 -e boot"
rm -f build.log
time lb build 2>&1 | tee build.log
echo -ne '\a'
mv live-image-i386.hybrid.iso ubcdlive$VERL.iso
mv live-image-i386.packages ubcdlive$VERL.lst
